#
# spec file for package cryfs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2007-2011 Klaas Freitag <freitag@kde.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           cryfs
Version:        0.9.9
Release:        lp150.1.1
Summary:        CryFS encryption
License:        LGPL-3.0
Group:          System/Filesystems
Source:         %{name}-%{version}.tar.xz
URL:            https://github.com/cryfs/cryfs

#=================================
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  python

%if 0%{?suse_version} < 1500
BuildRequires:  boost-devel => 1.56.0
%else
BuildRequires:	libboost_chrono-devel
BuildRequires:	libboost_filesystem-devel
BuildRequires:	libboost_program_options-devel
BuildRequires:	libboost_system-devel
BuildRequires:	libboost_thread-devel
%endif

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(fuse)
# BuildRequires:  pkgconfig(libopenssl)
BuildRequires:  libopenssl-devel
BuildRequires:  libcryptopp-devel

#=================================

%description
CryFS encrypts your files, so you can safely store them anywhere.
It works well together with cloud services like Dropbox,
iCloud, OneDrive and others.


%prep
%setup -c -q

%build
mkdir build
cd build
cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_CXX_FLAGS="%{optflags} -fPIC" \
	-DCMAKE_C_FLAGS="%{optflags} -fPIC" \
	-DBoost_USE_STATIC_LIBS=OFF \
	-DBUILD_TESTING=OFF \
	-DCRYFS_UPDATE_CHECKS=OFF \
	-DCMAKE_BUILD_TYPE=Release

%make_jobs

%install
rm -rf %{buildroot}
%cmake_install

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
%{_bindir}/cryfs*
%defattr(0644,root,root)
%{_mandir}/man?/cryfs*
%doc README.md ChangeLog.txt
%license LICENSE
%changelog
* Fri Feb  9 2018 klaas.freitag@suse.com
- Some spec file tweaks, based on Malcoms test build of cryfs
* Tue Feb  6 2018 klaas.freitag@suse.com
- Use -c switch in %%setup to create the source dir before unpacking
  the original tarball.
* Tue Feb  6 2018 klaas.freitag@suse.com
- Update to upstream version 0.9.9
* Mon Feb  5 2018 klaas.freitag@suse.com
- add a minimum version required
* Mon Feb  5 2018 klaas.freitag@suse.com
- use unversioned boost library.
* Thu Feb  1 2018 klaas.freitag@suse.com
- use boost version 1_58
* Thu Feb  1 2018 klaas.freitag@suse.com
- Initial commit
